## net.sf.statsvn.input
Class SvnLogfileParser.PerRevDiffTask

    java.lang.Object
      net.sf.statsvn.input.SvnLogfileParser.DiffTask
          net.sf.statsvn.input.SvnLogfileParser.PerRevDiffTask

All Implemented Interfaces:
  Runnable

Enclosing class:
  SvnLogfileParser

    protected class SvnLogfileParser.PerRevDiffTask

extends SvnLogfileParser.DiffTask

Constructor Summary
`SvnLogfileParser.PerRevDiffTask(String newRevision, Map fileBuilders)`

Method Summary
`void` `run()`

Methods inherited from class net.sf.statsvn.input.SvnLogfileParser.DiffTask
`getFileBuilder, getFileName, getNewRevision, getOldRevision, performIntermediarySave, setFileBuilder, setFileName, setNewRevision, setOldRevision, trackBinaryFile, trackFileDiff`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnLogfileParser.PerRevDiffTask

    public SvnLogfileParser.PerRevDiffTask(String newRevision,
                                           Map fileBuilders)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `SvnLogfileParser.DiffTask`